{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2026-03-09T20:47:53Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.30.5, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase-8200c7a3e21b",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-c6920dd2+HEAD-host-darwin-arm64-target-ios-43ed0bb9-ca47-56fe-b781-02c92c71a326",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "5a4f4c83aa3cf1346738f307755a0599f6bf00bb"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative-5ae7a1bd0a03",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-7cbd705e+HEAD-host-darwin-arm64-target-ios-ce1a4071-cca3-5337-bb20-9345c69edefa",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "3adff85755f9f446a1aa0cdc92cdeedb25b05f67"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtwebengine-chromium-pdf-a5186d2215f4",
            "spdxDocument": "https://qt.io/spdxdocs/qtwebengine-chromium-pdf-e64055c+HEAD",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "f4811d4220d20b87e4dde7dc7cd967cb4fcd0512"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        },
        {
            "extractedText": "The icons in this repository are herefore released into the Public Domain.\n",
            "licenseId": "LicenseRef-Tango-Icons-Public-Domain"
        }
    ],
    "name": "qtpdf-6.10.3",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtpdf-e64055c+HEAD-host-darwin-arm64-target-ios-e37fa742-bafe-5a2b-8f6a-7b8dfd798f75",
    "packages": [
        {
            "SPDXID": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "builtDate": "2026-03-09T20:47:53Z",
            "comment": "Built by CMake 3.30.5 with Release;Debug configuration for iOS ()\nqtpdf was configured with:\n    qt-configure-module <sources>/qtpdf -- -DQT_PROTOBUF_WELL_KNOWN_TYPES_PROTO_DIR=/usr/local/include -DFFMPEG_DIR=/usr/local/ios/ffmpeg -DQT_DEPLOY_FFMPEG=TRUE -DFEATURE_webengine_precompiled_headers=OFF -DQT_INSTALL_CONFIG_INFO_FILES=ON -DQT_GENERATE_SBOM=ON -DQT_GENERATE_SOURCE_SBOM=ON -DQT_SBOM_REQUIRE_GENERATE_CYDX_V1_6=ON -DQT_SBOM_VERIFY_CYDX_V1_6=ON -DQT_SBOM_PYTHON_INTERP=/Users/qt/.pyenv/versions/3.9.7/bin/ -DQT_SBOM_PYTHON_APPS_PATH=/Users/qt/.local/bin -DQT_LINT_SOURCE_SBOM=ON -DQT_INTERNAL_SBOM_DEFAULT_CHECKS=ON -DQT_INTERNAL_SBOM_AUDIT=ON -DQT_INTERNAL_SBOM_AUDIT_NO_ERROR=ON -DQT_BUILD_TESTS=OFF -DCMAKE_AUTOGEN_VERBOSE=ON -DCMAKE_MESSAGE_LOG_LEVEL=STATUS -DCMAKE_C_COMPILER_LAUNCHER=sccache -DCMAKE_CXX_COMPILER_LAUNCHER=sccache\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@e64055c368746743db183d9bc1f4954ddc04161e",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf@e64055c+HEAD",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": false,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtpdf",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "e64055c+HEAD"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "comment": "\nCMake target name: QPdfPlugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@e64055c368746743db183d9bc1f4954ddc04161e",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@e64055c?library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-QPdfPlugin@e64055c?vcs_url=https://code.qt.io/qt/qtpdf.git@e64055c&library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QPdfPlugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "f8cfe7e433dbca2498244544f3ea568b161b9b23"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "comment": "\nNote: This package was marked as not listing all of its consumed 3rd party dependencies.\nThus the licensing and copyright information might be incomplete.\nCMake target name: Pdf\nCMake exported target name: Qt6::Pdf\nContained in CMake package: Qt6Pdf\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@e64055c368746743db183d9bc1f4954ddc04161e",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@e64055c?library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-Pdf@e64055c?vcs_url=https://code.qt.io/qt/qtpdf.git@e64055c&library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "Pdf",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "0efb09e4a52c47b3d822344032e506bb1f23a652"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "comment": "\nCMake target name: PdfWidgets\nCMake exported target name: Qt6::PdfWidgets\nContained in CMake package: Qt6PdfWidgets\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@e64055c368746743db183d9bc1f4954ddc04161e",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@e64055c?library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfWidgets@e64055c?vcs_url=https://code.qt.io/qt/qtpdf.git@e64055c&library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfWidgets",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "be1e6f0102527f6a3d366570bfc75902ed7d2469"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "comment": "\nCMake target name: PdfQuick\nCMake exported target name: Qt6::PdfQuick\nContained in CMake package: Qt6PdfQuick\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@e64055c368746743db183d9bc1f4954ddc04161e",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@e64055c?library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuick@e64055c?vcs_url=https://code.qt.io/qt/qtpdf.git@e64055c&library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuick",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "95c56384b960a1120f44636b3bfa705516cc7a91"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "comment": "\nCMake target name: PdfQuickplugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@e64055c368746743db183d9bc1f4954ddc04161e",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@e64055c?library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuickplugin@e64055c?vcs_url=https://code.qt.io/qt/qtpdf.git@e64055c&library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuickplugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "888be1470e80ba2c3363e7bc4c8bef4cee9b3087"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-CMake-a5186d2215f4",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCMake\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "3.30.5"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-CMake-generator-Ninja-Multi-Config-a5186d2215f4",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCMakeGenerator\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake generator Ninja Multi-Config",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "1.10.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-Compiler-AppleClang-a5186d2215f4",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCompiler\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Compiler AppleClang",
            "primaryPackagePurpose": "OTHER",
            "summary": "The compiler as identified by CMake, running on 'Darwin' (arm64)",
            "supplier": "Person: Anonymous",
            "versionInfo": "15.0.0.15000309"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-Linker-a5186d2215f4",
            "comment": "\nCMake target name: qtpdfSbomBuildToolLinker\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Linker",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "unknown"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "7e0af7e5262a743a4cf4fe58170f571e2875cdc9"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "d049cd454fe3d7be8b787baeacfe4f8f251871db"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "2434e84c0abeff8c0cc30f3cc02afc59a38a6f4a"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "1b6395365c8ac78b592033037687b4029471ff8d"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "46dd0856f11c34cc3a9a2d1d027766754553af65"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "fbe5d20d3b5ca7d85aac74ef90b39da36d436343"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "c5ea4f41fcdf9be72d7b49fa33235c7bc01c900f"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "eed57c2a7de4c0474a5f51c8a2e8d89e402beeb1"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "7247beabc688e8566e4f332979f71414953e50c6"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-a5186d2215f4",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "853f9fa1f385b0f646a3ae35586232663c39f216"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-CMake-a5186d2215f4",
            "comment": "SPDXRef-Package-qtpdf-a5186d2215f4 is built using CMake version 3.30.5",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-CMake-generator-Ninja-Multi-Config-a5186d2215f4",
            "comment": "SPDXRef-Package-qtpdf-a5186d2215f4 is built using generator CMAKE_GENERATOR: 'Ninja Multi-Config' and CMAKE_MAKE_PROGRAM: 'ninja' version '1.10.2'",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-Compiler-AppleClang-a5186d2215f4",
            "comment": "SPDXRef-Package-qtpdf-a5186d2215f4 is built by compiler: 'AppleClang' version: '15.0.0.15000309' frontend variant: 'GNU'",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-Linker-a5186d2215f4",
            "comment": "SPDXRef-Package-qtpdf-a5186d2215f4 is built by linker '' version '' frontend variant: ''",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Core-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Network-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Gui-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Widgets-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Core-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Gui-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-5ae7a1bd0a03:SPDXRef-Package-qtdeclarative-qt-module-Quick-5ae7a1bd0a03",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Core-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-Gui-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-5ae7a1bd0a03:SPDXRef-Package-qtdeclarative-qt-module-Qml-5ae7a1bd0a03",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-a5186d2215f4",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtbase-8200c7a3e21b:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal-8200c7a3e21b",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-5ae7a1bd0a03:SPDXRef-Package-qtdeclarative-qt-module-Qml-5ae7a1bd0a03",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-a5186d2215f4",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-a5186d2215f4",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-CMake-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-CMake-generator-Ninja-Multi-Config-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-Compiler-AppleClang-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-Linker-a5186d2215f4",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-a5186d2215f4",
            "relatedSpdxElement": "DocumentRef-qtwebengine-chromium-pdf-a5186d2215f4:SPDXRef-QtWebEngine-Chromium-Pdf-Internal-Components",
            "relationshipType": "DEPENDS_ON"
        }
    ]
}